const __VLS_props = withDefaults(defineProps(), { state: 'READY', retryable: false });
const __VLS_emit = defineEmits();
const __VLS_defaults = { state: 'READY', retryable: false };
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
/** @type {__VLS_StyleScopedClasses['ks-state']} */ ;
/** @type {__VLS_StyleScopedClasses['ks-state']} */ ;
/** @type {__VLS_StyleScopedClasses['ks-state']} */ ;
/** @type {__VLS_StyleScopedClasses['ks-state']} */ ;
/** @type {__VLS_StyleScopedClasses['ks-state']} */ ;
/** @type {__VLS_StyleScopedClasses['ks-state']} */ ;
if (__VLS_ctx.state !== 'READY') {
    __VLS_asFunctionalElement1(__VLS_intrinsics.div, __VLS_intrinsics.div)({
        ...{ class: "ks-state" },
        'data-state': (__VLS_ctx.state),
        role: "status",
        'aria-busy': (__VLS_ctx.state === 'LOADING' || __VLS_ctx.state === 'PROCESSING'),
    });
    /** @type {__VLS_StyleScopedClasses['ks-state']} */ ;
    __VLS_asFunctionalElement1(__VLS_intrinsics.strong, __VLS_intrinsics.strong)({});
    (__VLS_ctx.title ?? __VLS_ctx.state);
    if (__VLS_ctx.message) {
        __VLS_asFunctionalElement1(__VLS_intrinsics.p, __VLS_intrinsics.p)({});
        (__VLS_ctx.message);
    }
    if (__VLS_ctx.traceId) {
        __VLS_asFunctionalElement1(__VLS_intrinsics.small, __VLS_intrinsics.small)({});
        (__VLS_ctx.traceId);
    }
    if (__VLS_ctx.retryable) {
        __VLS_asFunctionalElement1(__VLS_intrinsics.button, __VLS_intrinsics.button)({
            ...{ onClick: (...[$event]) => {
                    if (!(__VLS_ctx.state !== 'READY'))
                        throw 0;
                    if (!(__VLS_ctx.retryable))
                        throw 0;
                    return (__VLS_ctx.$emit('retry'));
                    // @ts-ignore
                    [state, state, state, state, state, title, message, message, traceId, traceId, retryable, $emit,];
                } },
            type: "button",
        });
    }
    var __VLS_0 = {};
}
else {
    var __VLS_2 = {};
}
// @ts-ignore
var __VLS_1 = __VLS_0, __VLS_3 = __VLS_2;
// @ts-ignore
[];
const __VLS_base = (await import('vue')).defineComponent({
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
const __VLS_export = {};
export default {};
